## org.apache.batik.css.parser
Class CSSSACMediaList

    java.lang.Object
      org.apache.batik.css.parser.CSSSACMediaList

All Implemented Interfaces:
  org.w3c.css.sac.SACMediaList

    public class CSSSACMediaList

extends java.lang.Object
implements org.w3c.css.sac.SACMediaList

This class implements the `SACMediaList` interface.

Field Summary
`protected int` `length` The list length.
`protected java.lang.String[]` `list` The list.

Constructor Summary
`CSSSACMediaList()`

Method Summary
`void` `append(java.lang.String item)` Appends an item to the list.
`int` `getLength()` SAC: Returns the length of this selector list
`java.lang.String` `item(int index)` SAC: Returns the selector at the specified index, or `null` if this is not a valid index.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### list

    protected java.lang.String[] list

  The list.

### length

    protected int length

  The list length.

Constructor Detail

### CSSSACMediaList

    public CSSSACMediaList()

Method Detail

### getLength

    public int getLength()

  SAC: Returns the length of this selector list

  Specified by:
    `getLength` in interface `org.w3c.css.sac.SACMediaList`

### item

    public java.lang.String item(int index)

  SAC: Returns the selector at the specified index, or `null` if this is not a valid index.

  Specified by:
    `item` in interface `org.w3c.css.sac.SACMediaList`

### append

    public void append(java.lang.String item)

  Appends an item to the list.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.